# Requires gnuplot >= 4.6
load "common.plot"

set bmargin 2 # Number of characters (It's 1 + the number of lines for the terminal default font).

set ylabel "Relative energy consumption" font TitleFont
set yrange[0:1.5]
set grid ytics lt -1 lc rgb GridColor
set format y "%0.2f"

# xtics without labels. I put the marks outwards (so they are not inside the boxes, which are transparent) and also
# ask for their scale to be 0 (major) and 0 (minor). The labels will be read from the file
set xtics out scale 0, 0 nomirror textcolor lt 0 font TicksFont

set ytics 0, 0.1, 1.5 out nomirror textcolor lt "#000000" font TicksFont
unset key

set datafile separator ";"
#set style fill solid 1.0 noborder
set style fill transparent solid 1.0 border -1 # border -1 to draw it in black.
set style data boxes
set boxwidth 0.5

###################### Energy
set output '3DImageAppImprovement.pdf'

# x:y:color:xticlabel. Alternativa: x:y:ancho:color
# Etiquetas: x:y:text
MakeLabel(x) = sprintf("%0.2f", x)
plot '3DImageAppImprovement.data' \
	   using ($0):2:(Cyan):xtic(1) notitle lc rgb variable,\
	'' using 0:($2+0.05):(MakeLabel($2)) with labels notitle center font LabelFont

