# Requires gnuplot >= 4.6
load "common.plot"

set bmargin 2 # Number of characters (It's 1 + the number of lines for the terminal default font).

set ylabel "Average weight of DMM" font TitleFont offset -1
set label 1 "on total memory accesses" at graph -0.065, 0.5 center rotate by 90 front font Title2Font
set yrange[0:100 < * ]
set grid ytics lt -1 lc rgb GridColor
set format y "%.0f%%"

# xtics without labels. I put the marks outwards (so they are not inside the boxes, which are transparent) and also
# ask for their scale to be 0 (major) and 0 (minor). The labels will be read from the file
set xtics out scale 0, 0 nomirror textcolor lt 0 font TicksFont

set ytics out nomirror textcolor lt "#000000" font TicksFont
unset key

set datafile separator ";"
#set style fill solid 1.0 noborder
set style fill transparent solid 1.0 border -1 # border -1 to draw it in black.
set style data boxes
set boxwidth 0.75

###################### Energy
set output 'AverageWeightOfDMMOnTotalMemoryAccesses.pdf'

# x:y:color:xticlabel. Alternativa: x:y:ancho:color
# Etiquetas: x:y:text
stats 'AverageWeightOfDMMOnTotalMemoryAccesses.data' using 1:3 nooutput
plot 'AverageWeightOfDMMOnTotalMemoryAccesses.data' \
	   using 1:3:(Cyan):xtic(2) notitle lc rgb variable,\
	'' using 1:($3+(STATS_max_y/100.0)*10):3 with labels notitle center font LabelFont

