# Requires gnuplot >= 4.6
load "common.plot"

set bmargin 3 # Number of characters (It's 1 + the number of lines for the terminal default font).

set ylabel "Impact of DMM over DMA utilization" font TitleFont offset -1
set label 1 "(DMM7 vs. DMM6)" at graph -0.085, 0.5 center rotate by 90 front font Title2Font
set yrange[-1:0]
set grid ytics lt -1 lc rgb GridColor
set format y "%.2f%%"

# xtics without labels. I put the marks outwards (so they are not inside the boxes, which are transparent) and also
# ask for their scale to be 0 (major) and 0 (minor). The labels will be read from the file
set xtics out scale 0, 0 nomirror textcolor lt 0 font TicksFont

set ytics out nomirror textcolor lt "#000000" font TicksFont
unset key

set datafile separator ";"
set style fill transparent solid 1.0 border -1 # border -1 to draw it in black.
set style data boxes
set boxwidth 0.75

###################### Plot
set output 'DMA_DMM7vsDMM6.pdf'

# x:y:color:xticlabel. Alternativa: x:y:ancho:color
# Etiquetas: x:y:text
MakeLabel(x) = sprintf("%0.2f%", x)
stats 'DMA_DMM7vsDMM6.data' using 2 nooutput
plot 'DMA_DMM7vsDMM6.data' \
	   using 0:($2):(Cyan):xtic(1) notitle lc rgb variable,\
	'' using 0:($2+(STATS_max)*0.75):(MakeLabel($2)) with labels notitle center font LabelFont
